
QGIS Application - Bug report #20718

QGIS crashed with open GRASS new and old directory

2018-12-04 12:11 PM - Lisbeth Urribarri

Status: Closed

Priority: Normal

Assignee:

Category: GRASS

Affected QGIS version:3.4.2 Regression?: No

Operating System: windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 28538

Description

Crash ID: 5712c8a0e4e400a00a6e3554ef942439c58976d3

Stack Trace

EtwSetMark :

setjmp :

malloc :

QString::indexOf :

QGIS Info

QGIS Version: 3.4.2-Madeira

QGIS code revision: 22034aa070

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: i386

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-12-06 10:35 AM - Giovanni Manghi

- Subject changed from QGIS crashed with open Grass new and old directory to QGIS crashed with open GRASS new and old directory

- Status changed from Open to Feedback

- Resolution deleted (fixed/implemented)

What does this means? Opening an existing mapset/location?

#2 - 2018-12-06 11:42 AM - Lisbeth Urribarri

Giovanni Manghi wrote:

What does this means? Opening an existing mapset/location?
Hi.

Yes, indeed when I try to create a new directory or open an existing one, the error occurs

#3 - 2018-12-07 02:24 PM - Giovanni Manghi

Lisbeth Urribarri wrote:

Giovanni Manghi wrote:

What does this means? Opening an existing mapset/location?

Hi.

Yes, indeed when I try to create a new directory or open an existing one, the error occurs

just tried (windows 10, qgis master and 3.4.2) to both create a new mapset/location and open an existing one, all ok.

Please try using a new/clean profile.

#4 - 2019-02-13 12:21 PM - Vladimír Hans

If I try open GRASS mapset, QGIS crash without error message. QGIS 3.4.4, QGIS 3.5.Master revision 2729af65c3 on 32 bit Windows 7. I tested this

error on 2 computers.

#5 - 2019-02-13 12:23 PM - Giovanni Manghi

Vladimír Hans wrote:

If I try open GRASS mapset, QGIS crash without error message. QGIS 3.4.4, QGIS 3.5.Master revision 2729af65c3 on 32 bit Windows 7. I tested

this error on 2 computers.

any mapset? for example I could try with the official sample ones?

#6 - 2019-02-13 12:36 PM - Giovanni Manghi

Vladimír Hans wrote:

If I try open GRASS mapset, QGIS crash without error message. QGIS 3.4.4, QGIS 3.5.Master revision 2729af65c3 on 32 bit Windows 7. I tested

this error on 2 computers.

I just downloaded the GRASS north carolina mapset and had no issues.

#7 - 2019-03-08 10:33 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed
Closing for lack of feedback.

2025-04-27 3/3


